commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davanum Srinivas" <dava...@gmail.com>
Subject Re: [VOTE][modeler] Promote 2.0 RC1 to 2.0 Final (was Re: [modeler] 2.0 RC1 ready for review)
Date Mon, 31 Jul 2006 00:06:45 GMT
Rahul,

i am going to leave the build.xml.* around for this time...I use the
maven1 properties (maven.compile.source and maven.compile.target) to
set the jdk version to 1.3. I will fix the build.xml.

thanks,
dims

On 7/29/06, Rahul Akolkar <rahul.akolkar@gmail.com> wrote:
> On 7/25/06, Davanum Srinivas <davanum@gmail.com> wrote:
> > Thanks Rahul, will keep those in mind for the next time around.
> >
> > Team,
> > Could i get some votes to promote the 2.0 RC1 to 2.0 Final?
> >
> <snip/>
>
> +1
>
> Sigs, sums look good.
> Source rebuilds (m1).
>
> IMO, two nits worth fixing before cutting the release:
>
>  * Why build.properties.default and build.properties.sample? (the
> former is still in CVS land, please update if its still needed)
>  * Please keep build.xml version in sync with project.xml version
> (currently, the former is at 1.2-dev)
>
> For my own understanding -- are you cutting RCs using ant or maven
> (for Java compilation)? If m1, how do you ensure JDK 1.3 compat? I
> know there is a bootclasspath setting in the m2 compiler plugin, but I
> haven't had the need to figure out the m1 bits yet. I tried to look at
> the [modeler] POM for clues.
>
> -Rahul
>
>
> > Here's my +1 to get the ball rolling.
> >
> > thanks,
> > dims
> >
> > On 7/22/06, Rahul Akolkar <rahul.akolkar@gmail.com> wrote:
> > > On 7/21/06, Davanum Srinivas <davanum@gmail.com> wrote:
> > > > One more rev folks..Changed the version to 2.0 because of the
> > > > incompatible api change. Also please note that the minimum jdk version
> > > > is 1.3.
> > > >
> > > > http://people.apache.org/~dims/commons-modeler-2.0-RC1/
> > > >
> > > <snip/>
> > >
> > > Looks good:
> > >  * Sigs, md5s pan out
> > >  * Source distro jars,sites,dists
> > >  * jar/manifest looks ok
> > >
> > > Nits (not blockers, IMO):
> > >  * POM and jar md5s not in recommended format
> > >  * We should aim to have all component sites display docs for latest 3
> > > (?) releases
> > >
> > > -Rahul
> > >
> > >
> > > > thanks,
> > > > dims
> > > >
> > > <snap/>
> > >
> >
> >
> > --
> > Davanum Srinivas : http://www.wso2.net (Oxygen for Web Service Developers)
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: commons-dev-help@jakarta.apache.org
>
>


-- 
Davanum Srinivas : http://www.wso2.net (Oxygen for Web Service Developers)

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message